Skip to content

ExceptionItemService⁠

Manage exception item records.

Operations⁠

getExcpAddInfoListSelectFields⁠

POST

Retrieves a list of exception item additional information with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ExcpItemGlobalSequenceDatestring · dateoptional
ExcpItemGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/exceptionitem/getExcpAddInfoListSelectFields
POST /nexum/627/2022.01/exceptionitem/getExcpAddInfoListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ExcpItemGlobalSequenceDate": "string",
  "ExcpItemGlobalSequence": 0,
  "SelectableFields": {
    "IncludeAllExcpAddInfoFields": true,
    "ExcpAddInfoFields": {
      "AdditionInfo": [
        0
      ],
      "Locator": true,
      "Number": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchExcpAddInfoSelectFields⁠

POST

Searches exception item additional information with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ExcpItemGlobalSequenceDatestring · dateoptional
ExcpItemGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/exceptionitem/searchExcpAddInfoSelectFields
POST /nexum/627/2022.01/exceptionitem/searchExcpAddInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ExcpItemGlobalSequenceDate": "string",
  "ExcpItemGlobalSequence": 0,
  "SelectableFields": {
    "IncludeAllExcpAddInfoFields": true,
    "ExcpAddInfoFields": {
      "AdditionInfo": [
        0
      ],
      "Locator": true,
      "Number": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getExcpAddInfoPagedListSelectFields⁠

POST

Retrieves a paged list of exception item additional information with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ExcpItemGlobalSequenceDatestring · dateoptional
ExcpItemGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/exceptionitem/getExcpAddInfoPagedListSelectFields
POST /nexum/627/2022.01/exceptionitem/getExcpAddInfoPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ExcpItemGlobalSequenceDate": "string",
  "ExcpItemGlobalSequence": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllExcpAddInfoFields": true,
    "ExcpAddInfoFields": {
      "AdditionInfo": [
        0
      ],
      "Locator": true,
      "Number": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchExcpAddInfoPagedSelectFields⁠

POST

Searches exception item additional information with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ExcpItemGlobalSequenceDatestring · dateoptional
ExcpItemGlobalSequenceintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/exceptionitem/searchExcpAddInfoPagedSelectFields
POST /nexum/627/2022.01/exceptionitem/searchExcpAddInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ExcpItemGlobalSequenceDate": "string",
  "ExcpItemGlobalSequence": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllExcpAddInfoFields": true,
    "ExcpAddInfoFields": {
      "AdditionInfo": [
        0
      ],
      "Locator": true,
      "Number": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getExcpAddenda⁠

POST

Retrieves exception item addenda.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ExcpItemGlobalSequenceDatestring · dateoptional
ExcpItemGlobalSequenceintegeroptional
ExcpAddendaLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/exceptionitem/getExcpAddenda
POST /nexum/627/2022.01/exceptionitem/getExcpAddenda HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ExcpItemGlobalSequenceDate": "string",
  "ExcpItemGlobalSequence": 0,
  "ExcpAddendaLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getExcpAddendaSelectFields⁠

POST

Retrieves exception item addenda with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ExcpItemGlobalSequenceDatestring · dateoptional
ExcpItemGlobalSequenceintegeroptional
ExcpAddendaLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/exceptionitem/getExcpAddendaSelectFields
POST /nexum/627/2022.01/exceptionitem/getExcpAddendaSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ExcpItemGlobalSequenceDate": "string",
  "ExcpItemGlobalSequence": 0,
  "ExcpAddendaLocator": 0,
  "SelectableFields": {
    "IncludeAllExcpAddendaFields": true,
    "ExcpAddendaFields": {
      "AddendaInfo": [
        0
      ],
      "AddendaSeqNum": true,
      "AddendaStd": [
        0
      ],
      "AddendaType": true,
      "CbrAddendaInfo": true,
      "ChangeCode": true,
      "CityState": true,
      "CorTraceSeq": true,
      "CorrectedData": true,
      "CorrectedDataIat": true,
      "CountryPostalCode": true,
      "DateOfBirth": true,
      "DateOfDeath": true,
      "DetailSeqNum": true,
      "DfiBranchCntryCode": true,
      "DfiIdNumQualifier": true,
      "DfiIdent": true,
      "DfiName": true,
      "DishonorAddendaInfo": true,
      "DishonorReason": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}